# Uses of Class
javax.accessibility.AccessibleHyperlink

Packages that use AccessibleHyperlink
Package
Description
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of AccessibleHyperlink in javax.accessibility

Methods in javax.accessibility that return AccessibleHyperlink
Modifier and Type
Method
Description
`AccessibleHyperlink`
AccessibleHypertext.`getLink(int linkIndex)`
Returns the nth Link of this Hypertext document.

## Uses of AccessibleHyperlink in javax.swing

Subclasses of AccessibleHyperlink in javax.swing
Modifier and Type
Class
Description
`class`
`JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink`
An HTML link.
Methods in javax.swing that return AccessibleHyperlink
Modifier and Type
Method
Description
`AccessibleHyperlink`
JEditorPane.JEditorPaneAccessibleHypertextSupport.`getLink(int linkIndex)`
Returns the index into an array of hyperlinks that index.